// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:sky';

import 'package:sky/widgets.dart';

import 'package:playfair/playfair.dart';

ChartData data = new ChartData(
  startX: 0.0,
  startY: 0.0,
  endX: 10.0,
  endY: 1.0,
  dataSet: [
    const Point(0.0, 0.0),
    const Point(1.0, 1.0),
    const Point(2.0, 0.5),
    const Point(4.0, 0.5),
    const Point(5.0, 0.2),
    const Point(8.0, 0.3),
    const Point(10.0, 0.9),
  ]
);

class ChartsApp extends App {

  Widget buildChart() {
    return new Chart(data: data);
  }

  Widget build() {
    return new TaskDescription(
      label: 'Charts',
      child: new Scaffold(
        toolbar: new ToolBar(center: new Text("Charts")),
        body: new Material(child: new Center(child: buildChart()))
      )
    );
  }
}

void main() {
  runApp(new ChartsApp());
}
